1. DianServices
Documentación Bilidox
  • ¡Bienvenido!
  • Raíz
    • DianServices
      • NumberingRangeGetAll
        GET
      • StatusZipGetAll
        GET
      • SendMailCreate
        POST
      • TestSetCreate
        POST
      • InvoiceCreate
        POST
      • CreditnoteCreate
        POST
      • EquivalentCreate
        POST
      • EquivalentSpdCreate
        POST
      • SupportCreate
        POST
      • PayrollCreate
        POST
      • EventCreate
        POST
      • DebitnoteCreate
        POST
      • EquivalentNoteCreate
        POST
      • SupportNoteCreate
        POST
      • PayrollReplaceNote
        POST
      • PayrollDeleteNote
        POST
    • S3File
      • fileUrlGetItem
      • filePdfGetItem
      • fileXmlGetItem
  1. DianServices

TestSetCreate

POST
/v1/dian/test-sets/
📌
Endpoint que permite crear un set de pruebas de habilitación en la DIAN.
📌
Method: Post
Crear un set de pruebas.

Solicitud

Autorización
Proporciona tu token bearer en el encabezado
Authorization
al realizar solicitudes a recursos protegidos.
Ejemplo:
Authorization: Bearer ********************
Parámetros de consulta

Parámetros del Body application/json

Ejemplos

Respuestas

🟢200
application/json
Bodyapplication/json

🟠400
Solicitud Ejemplo de Solicitud
Shell
JavaScript
Java
Swift
curl --location '/v1/dian/test-sets/?companyId=800113883&providerId=901084328' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "Type": "supports", //invoices, payrolls, equivalents, equivalentspd, supports
    "TestSetId": "ff762e7b-0ade-40da-bea7-8a328c651e8b"
}

//invoices: f8d85a4d-920c-43f5-a34e-115de12d59c4 
//payrolls: 7fdc8532-6d78-49ba-88a6-d00f063899d9'
Respuesta Ejemplo de Respuesta
200 - Éxito
[
    {
        "id": "SETN80",
        "entityType": "document",
        "name": "face_nSETN09010843280000000080",
        "status": "submitted",
        "created": "2024-08-02T14:47:41.4457152",
        "companyId": "901084328",
        "metaData": {
            "uuid": "d62f7096169a2ece56c25f4175d93668e0e7efc29dc9ebed069924ee0fe5ba8aafabb6abc071c2f7e6b0bb8a25a4aa9d",
            "date": "2024-08-02T19:47:38.7937854+00:00",
            "type": "102",
            "schemeName": "CUNE-SHA384",
            "reference": "",
            "thirdPartyId": "99999999999",
            "thirdPartyName": "Nombre1 Nombre2 Apellido1 Apellido2",
            "grossAmount": 8083333.32,
            "prepaidAmount": 0,
            "discountAmount": 640000,
            "taxAmount": 0,
            "payableAmount": 7443333.32
        },
        "response": {
            "statusCode": "",
            "statusMessage": "",
            "statusDescription": "Batch en proceso de validación.",
            "errorMessage": "",
            "zipKey": "f83cd274-b108-4929-b887-2022f41c5259",
            "status": "test",
            "created": "2024-08-02T19:47:41.4442+00:00"
        }
    },
    {
        "id": "SETA80",
        "entityType": "document",
        "name": "face_aSETA09010843280000000080",
        "status": "submitted",
        "created": "2024-08-02T14:47:46.0298902",
        "companyId": "901084328",
        "metaData": {
            "uuid": "e9cf316068a26b02eec87a6b83e28774b160e1ca9d635c336b1f2aa0d4ceb43df924d8bd3e507823589d9ffb97b6178b",
            "date": "2024-08-02T19:47:44.1837482+00:00",
            "type": "103",
            "schemeName": "CUNE-SHA384",
            "reference": "SETN80",
            "thirdPartyId": "99999999999",
            "thirdPartyName": "Nombre1 Nombre2 Apellido1 Apellido2",
            "grossAmount": 8083333.32,
            "prepaidAmount": 0,
            "discountAmount": 640000,
            "taxAmount": 0,
            "payableAmount": 7443333.32
        },
        "response": {
            "statusCode": "",
            "statusMessage": "",
            "statusDescription": "Batch en proceso de validación.",
            "errorMessage": "",
            "zipKey": "81956788-2b80-4262-9050-1f1cfc2e4759",
            "status": "test",
            "created": "2024-08-02T19:47:46.0298832+00:00"
        }
    }
]
Modificado en 2026-08-13 20:06:25
Anterior
SendMailCreate
Siguiente
InvoiceCreate
Built with